Install one email's signatures now
curl --request POST \
--url https://api.scribe-mail.com/v1/emails/{id}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature_id": "<string>"
}
'import requests
url = "https://api.scribe-mail.com/v1/emails/{id}/install"
payload = { "signature_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signature_id: '<string>'})
};
fetch('https://api.scribe-mail.com/v1/emails/{id}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scribe-mail.com/v1/emails/{id}/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signature_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scribe-mail.com/v1/emails/{id}/install"
payload := strings.NewReader("{\n \"signature_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scribe-mail.com/v1/emails/{id}/install")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signature_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scribe-mail.com/v1/emails/{id}/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signature_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email_id": "<string>",
"address": "<string>",
"status": "queued",
"signatures": [
{
"id": "<string>",
"name": "<string>"
}
],
"integrations": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}Emails
Install one email's signatures now
POST
/
v1
/
emails
/
{id}
/
install
Install one email's signatures now
curl --request POST \
--url https://api.scribe-mail.com/v1/emails/{id}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature_id": "<string>"
}
'import requests
url = "https://api.scribe-mail.com/v1/emails/{id}/install"
payload = { "signature_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signature_id: '<string>'})
};
fetch('https://api.scribe-mail.com/v1/emails/{id}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scribe-mail.com/v1/emails/{id}/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signature_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scribe-mail.com/v1/emails/{id}/install"
payload := strings.NewReader("{\n \"signature_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.scribe-mail.com/v1/emails/{id}/install")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signature_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scribe-mail.com/v1/emails/{id}/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signature_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email_id": "<string>",
"address": "<string>",
"status": "queued",
"signatures": [
{
"id": "<string>",
"name": "<string>"
}
],
"integrations": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"action": "connect_integration",
"dashboard_url": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Install only this signature (a primary signature assigned to the email). Without it, every installed signature assigned to the email.
Response
One signature of the email
The installation queued for this one email, nobody else's: the signatures it installs and the API signature integrations it pushes them to. It runs in the background; GET /v1/signature_installations?email_id= shows each installation as it ends.
Show child attributes
Show child attributes
Was this page helpful?